- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- RoutePolylineFormat
- Try it!
Gets a trip.
HTTP request
GET https://navigationconnect.googleapis.com/v1/{name=projects/*/trips/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the trip to get. Format: projects/{project}/trips/{tripId} |
Query parameters
| Parameters | |
|---|---|
routePolylineFormat |
Optional. The format of the route polyline to return. If not set, |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Trip.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
IAM Permissions
Requires the following IAM permission on the name resource:
navigationconnect.trips.get
For more information, see the IAM documentation.
RoutePolylineFormat
Specifies the format of the route polyline.
| Enums | |
|---|---|
ROUTE_POLYLINE_FORMAT_UNSPECIFIED |
The route polyline format is unspecified. |
SIMPLE |
The route polyline is returned as a simple array of points represented as google.type.LatLng. |
ENCODED |
The route polyline is returned as an encoded string. See https://developers.google.com/maps/documentation/utilities/polylinealgorithm. |
S2ENCODED |
The route polyline is encoded as a S2Polyline. See https://s2geometry.io/devguide/basic_types.html. |
GEO_JSON |
The route polyline is returned as a GeoJSON LineString. See https://tools.ietf.org/html/rfc7946#section-3.1.4. |